{% extends 'base.html.twig' %}

    {% block fonts %}
        <!-- Google Fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <!-- Liens vers les polices Google utilisées dans le projet -->
        <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,600;1,700&family=Inter:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Cardo:ital,wght@0,400;0,700;1,400&display=swap"
              rel="stylesheet">
    {% endblock %}


    {% block stylesheets %}
        <!-- Vendor CSS Files -->
        <!-- Stylesheets externes aux projet (fournis par des tiers) -->
        <link href="{{ asset('assets/vendor/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/vendor/bootstrap-icons/bootstrap-icons.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/vendor/swiper/swiper-bundle.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/vendor/glightbox/css/glightbox.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/vendor/aos/aos.css') }}" rel="stylesheet">

        <!-- Stylesheet principal du template -->
        <link href="{{ asset('assets/css/main.css') }}" rel="stylesheet">
        {% block newstylesheets %}{% endblock %}

    {% endblock %}


    {% block javascripts %}
        {% block newjavascripts %}{% endblock %}
        <!-- Vendor JS Files -->
        <!-- Scripts externes à aux projet (fournis par des tiers) -->
        <script src="{{ asset('assets/vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('assets/vendor/swiper/swiper-bundle.min.js') }}"></script>
        <script src="{{ asset('assets/vendor/glightbox/js/glightbox.min.js') }}"></script>
        <script src="{{ asset('assets/vendor/aos/aos.') }}js"></script>

        <!-- Template Main JS File -->
        <!-- Script principal du template -->
        <script src="{{ asset('assets/js/main.js') }}"></script>
    {% endblock %}

    {% block body %}

        {% block  header %}
            <!-- ======= Header ======= -->
            <header id="header" class="header d-flex align-items-center fixed-top">
                <!-- Contenu de l'en-tête avec logo, menu de navigation, etc. -->
                <div class="container-fluid d-flex align-items-center justify-content-between">
                    <!-- Logo du site -->
                    <a href="{{ path('gallery') }}" class="logo d-flex align-items-center  me-auto me-lg-0">
                        <!-- Uncomment the line below if you also wish to use an image logo -->
                        <!-- <img src="assets/img/logo.png" alt=""> -->
                        <i class="bi bi-camera"></i>
                        <h1>ArtDrop</h1>
                    </a>

                    <!-- Menu de navigation -->
                    <nav id="navbar" class="navbar">
                        <ul>
                            {% block searchicon %}{% endblock %}
                            <!-- Liens du menu avec gestion de l'attribut actif -->
                            <li>
                                <a href="{{ path('gallery') }}"  class="home {% if app.request.attributes.get('_route') == 'gallery' or app.request.attributes.get('_route') == 'artiste_profile' %}active{% endif %}" >Galerie</a>
                            </li>
                            <li>
                                <a href="{{ path('faq') }}" {% if app.request.attributes.get('_route') == 'faq' %} class="active" {% endif %}>FAQ</a>
                            </li>
                            <li>
                                <a href="{{ path('contact') }}" {% if app.request.attributes.get('_route') == 'contact' %} class="active" {% endif %}>Contact</a>
                            </li>

                            {% if app.user %}
                                <!-- Menu pour les utilisateurs connectés -->
                                <li class="dropdown">
                                    <a href="{{ path('account') }}" {% if app.request.attributes.get('_route') == 'account' %} class="active" {% endif %}>Compte</a>
                                    <ul class="dropdown-menu">
                                        <!-- Liens du menu pour les utilisateurs connectés -->
                                        {% if is_granted('ROLE_ADMIN') %}
                                            <li><a href="{{ path('admin_interface') }}">Interface d'administration</a></li>
                                        {% endif %}
                                        <li class="menu-account-mobile"><a href="{{ path('account') }}">Compte</a></li>
                                        <li><a href="{{ path('setting') }}">Paramètre de compte</a></li>
                                        <li><a href="{{ path('app_logout') }}">Déconnexion</a></li>
                                    </ul>
                                </li>
                            {% else %}
                                <li class="dropdown"><a href="#">Compte</a>
                                    <!-- Menu pour les utilisateurs non connectés -->
                                    <ul>
                                        <!-- Liens spécifiques pour les utilisateurs non connectés -->
                                        <li><a href="{{ path('app_login') }}">Se connecter</a></li>
                                        <li><a href="{{ path('app_register') }}">Crée un compte</a></li>
                                    </ul>

                                </li>
                            {% endif %}
                        </ul>
                        <!-- .navbar -->
                    </nav>

                    <!-- Liens vers les réseaux sociaux -->
                    <div class="header-social-links">
                        <a href="#" class="twitter"><i class="bi bi-twitter"></i></a>
                        <a href="#" class="facebook"><i class="bi bi-facebook"></i></a>
                        <a href="#" class="instagram"><i class="bi bi-instagram"></i></a>
                        <a href="#" class="linkedin"><i class="bi bi-linkedin"></i></a>
                    </div>

                    <!-- Icônes pour le menu de navigation sur mobile -->
                    <i class="mobile-nav-toggle mobile-nav-show bi bi-list"></i>
                    <i class="mobile-nav-toggle mobile-nav-hide d-none bi bi-x"></i>
                </div>

            </header><!-- End Header -->
        {% endblock %}

        <!-- moteur de recherche de la page -->
        {% block enginesearch %}{% endblock %}

        {% if block ('heroSection') %}
            <!-- Bloc personnalisé pour une section de héros -->
            {% block heroSection %}{% endblock %}
        {% else %}
            <!-- En-tête de page par défaut -->
            <div class="page-header d-flex align-items-center">
                <div class="container position-relative">
                    <div class="row d-flex justify-content-center">
                        <div class="col-lg-6 text-center">
                            <!-- Contenu pour le titre et la description de la page -->
                            {% block titleAndDecription %} {% endblock %}
                        </div>
                    </div>
                </div>
            </div><!-- End Page Header -->
        {% endif %}

        <!-- Contenu principal de la page -->
        <main id="main">

            {% block section %}{% endblock %}

        </main><!-- End #main -->

        <!-- ======= Footer ======= -->
        <footer id="footer" class="footer">
            <div class="container">
                <div class="copyright">
                    &copy; Copyright <strong><span>ArtDrop</span></strong>. tous droits réservés!
                </div>
                <div class="credits">
                    <!-- Mention de droits d'auteur -->
                    <!-- All the links in the footer should remain intact. -->
                    <!-- You can delete the links only if you purchased the pro version. -->
                    <!-- Licensing information: https://bootstrapmade.com/license/ -->
                    <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/photofolio-bootstrap-photography-website-template/ -->
                    Conception par <a href="https://rotto.bes-webdeveloper-seraing.be/">Otto Romain</a>
                    à partir du template de <a href="https://bootstrapmade.com/">BootstrapMade</a>
                </div>
            </div>
        </footer><!-- End Footer -->

        <a href="#" class="scroll-top d-flex align-items-center justify-content-center"><i
                    class="bi bi-arrow-up-short"></i></a>

    {% endblock %}

